import Service from '../lib/service.js'
import axios from 'axios'
import Config from '../config'

class FinancialService extends Service {
  constructor() {
    super()
    axios.defaults.baseURL = Config.Host85
  }
  // 入金金额统计
  async depositAmountStatistics(params = {}) {
    return await this.post('/finance/deposit/amount/statictics', params)
  }
  // 出金金额统计
  async withdrawAmountStatistics(params = {}) {
    return await this.post('/finance/withdraw/amount/statictics', params)
  }
  //根据条件查看拒绝列表-用于下拉和选择展示理由
  async reasonsRefusalList(params = {}) {
    return await this.post('/reasons/refusal/list', params)
  }
}

export default new FinancialService()
